CVE-2023-51714

NameCVE-2023-51714
DescriptionAn issue was discovered in the HTTP2 implementation in Qt before 5.15.17, 6.x before 6.2.11, 6.3.x through 6.5.x before 6.5.4, and 6.6.x before 6.6.2. network/access/http2/hpacktable.cpp has an incorrect HPack integer overflow check.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3805-1
Debian Bugs1060693, 1060694, 1060695

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
qt6-base (PTS)bookworm6.4.2+dfsg-10vulnerable
trixie6.6.2+dfsg-9fixed
sid6.6.2+dfsg-10fixed
qtbase-opensource-src (PTS)jessie, jessie (lts)5.3.2+dfsg-4+deb8u6vulnerable
stretch (security)5.7.1+dfsg-3+deb9u3fixed
stretch (lts), stretch5.7.1+dfsg-3+deb9u4fixed
buster5.11.3+dfsg1-1+deb10u5vulnerable
buster (security)5.11.3+dfsg1-1+deb10u6fixed
bullseye5.15.2+dfsg-9+deb11u1fixed
bookworm5.15.8+dfsg-11+deb12u2fixed
sid, trixie5.15.13+dfsg-3fixed
qtbase-opensource-src-gles (PTS)bullseye5.15.2+dfsg-4vulnerable
bookworm5.15.8+dfsg-3vulnerable
sid, trixie5.15.13+dfsg-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
qt6-basesource(unstable)6.4.2+dfsg-211060693
qtbase-opensource-srcsourcestretch(not affected)
qtbase-opensource-srcsourcebuster5.11.3+dfsg1-1+deb10u6DLA-3805-1
qtbase-opensource-srcsourcebullseye5.15.2+dfsg-9+deb11u1
qtbase-opensource-srcsourcebookworm5.15.8+dfsg-11+deb12u2
qtbase-opensource-srcsource(unstable)5.15.10+dfsg-61060694
qtbase-opensource-src-glessource(unstable)5.15.10+dfsg-41060695

Notes

[bookworm] - qt6-base <no-dsa> (Minor issue)
[bookworm] - qtbase-opensource-src-gles <no-dsa> (Minor issue)
[bullseye] - qtbase-opensource-src-gles <no-dsa> (Minor issue)
https://codereview.qt-project.org/c/qt/qtbase/+/524864
https://codereview.qt-project.org/c/qt/qtbase/+/524865/3
[stretch] - qtbase-opensource-src <not-affected> (HTTP/2 support introduced in v5.8)

Search for package or bug name: Reporting problems